import { Selector } from 'testcafe';

fixture `RevPi_Connect_5`

test('RevPi Connect 5 device', async t => {
    await t
        .expect(Selector('#ft_RevPiConnect5_20240315_1_0 span').withText('RevPi Connect 5').nth(1).textContent).eql("RevPi Connect 5")
        .drag(Selector('#ft_RevPiConnect5_20240315_1_0 span').withText('RevPi Connect 5').nth(1), 264, 4, {
            offsetX: 22,
            offsetY: 5
        })
        .expect(Selector('#tblData_modulname_1').value).eql("RevPi Connect 5")
        .expect(Selector('#tblData_input_1').textContent).eql("5")
        .expect(Selector('#tblData_output_1').textContent).eql("3")
        .expect(Selector('#tblEdit_attrname_9').value).eql("RevPiLED")
        .expect(Selector('#tblEdit_attrname_10').exists).notOk();
});
